package com.yida.data.school.news.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.CurrentUser;
import com.yida.data.common.core.entity.notice.EduNoticeBuy;
import com.yida.data.school.vo.news.BuyNoticePageVO;

public interface EduNoticeBuyService extends IService<EduNoticeBuy> {

    IPage<BuyNoticePageVO> listBuyNoticePage(Page page, Long areaId, Long schoolId, Long campsId,
                                             Integer status, String title, String sendDate, CurrentUser currentUser);

    void saveBuyNotice(EduNoticeBuy eduNoticeBuy);

    void delBuyNotice(Long id);

    EduNoticeBuy getBuyNoticeById(Long id);

    void updateBuyNoticeById(Long eduNoticeBuyId);

    /**
     * 再次通知
     *
     * @param eduNoticeBuyId
     * @auther ccl
     */
    void sendBuyNoticeAgain(Long eduNoticeBuyId);
}
